Saltar al contenido principal

Email History Endpoints

Query email delivery history and status.

Base Pathโ€‹

/api/email-history

Endpointsโ€‹

List Email Historyโ€‹

GET /api/email-history
Authorization: Bearer {token}

Query Parameters:

ParameterTypeDescription
pagenumberPage number
limitnumberItems per page
emailstringRecipient email
statusstringSENT, FAILED, QUEUED

Response:

{
"items": [
{
"id": "uuid",
"name": "WELCOME_USER",
"email": "john@example.com",
"content": "Welcome to Gauzy...",
"status": "SENT",
"createdAt": "2025-01-15T10:00:00Z"
}
],
"total": 500
}

Get Email by IDโ€‹

GET /api/email-history/:id
Authorization: Bearer {token}

Resend Emailโ€‹

POST /api/email-history/:id/resend
Authorization: Bearer {token}

Delete Email Historyโ€‹

DELETE /api/email-history/:id
Authorization: Bearer {token}

Email Typesโ€‹

TypeDescription
WELCOME_USERNew user welcome
INVITE_EMPLOYEEEmployee invitation
INVOICE_SENTInvoice delivery
PASSWORD_RESETPassword reset link
TIMESHEET_SUBMITTEDTimesheet notification
TASK_ASSIGNEDTask assignment